Subject: Re: pkg/24575: audio/xmms configure is not compatible with pkgsrc
To: None <,,>
From: Julio M. Merino Vidal <>
List: pkgsrc-bugs
Date: 03/20/2005 10:15:02
The following reply was made to PR pkg/24575; it has been noted by GNATS.

From: "Julio M. Merino Vidal" <>
To: "Johnny C. Lam" <>
Subject: Re: pkg/24575: audio/xmms configure is not compatible with pkgsrc
Date: Sun, 20 Mar 2005 11:14:09 +0100

 On Sun, 2005-03-20 at 05:51 +0000, Johnny C. Lam wrote:
 > On Fri, Feb 27, 2004 at 02:06:49PM +0000, wrote:
 > > audio/xmms won't build on Slackware 9.1.
 > > 
 > > "native" slackware gtk is installed in /usr/ prefix.
 > > 
 > > configure will take gtk-config from /usr/bin/, even if I set
 > > PREFER_PKGSRC in /etc/mk.conf
 > > >How-To-Repeat:
 > > Obvious.
 > > >Fix:
 > > Adding --with-gtk-exec-prefix=${PREFIX}/bin/ to Makefile.common doesn't 
 > > help much. Propably my fault. Dunno.
 > > 
 > > I have removed "native" gtk and compiled pkgsrc one, worked.
 > > 
 > > I have no idea if this is the right fix, propably this switch should
 > > be always included by gtk+/bl3, propably for some packages it will
 > > be named different... This whole "configure" idea seems so broken :/
 > > 
 > > Propably gtk/bl3 could be re-worked in such manner so it could use 
 > > "native" gtk, but as linux systems are way beyond being "standarized",
 > > this could really be more trouble, than help to pkgsrc/Linux users
 > I think the packages that supply a *-config script/binary file should
 > be taught to symlink that file into ${BUILDLINK_DIR}/bin in their
 > files.  That will probably solve these types of problems
 > since ${BUILDLINK_DIR}/bin is prepended to the PATH as part of the
 > configure and build phases.
 FWIW, I commited a fix not so long ago and changed the path in pkgsrc to
 have ${LOCALBASE}/bin before anything else (but after the buildlink and
 wrapper directories), so that this kind of failure couldn't happen.
 AFAICT, it worked fine, and multiple packages were solved according to
 minskim@'s Linux bulk builds (e.g., ispell-spanish, the package I was
 trying to fix).
 Check revisions 1.1556 and 1.1555 of
 I think this PR can be safely closed.
 Julio M. Merino Vidal <>
 The NetBSD Project -